# Quiz CodeClub party Perth 2025-12-16
# rev 0.10  2025-11-30  initial release

from    m_console   import  welcomeScreen, presentQuestions, presentScore
from    m_domain    import  getQA, evaluate

# ======================== main ==========================

def main():
    level                           = welcomeScreen()
    questions, answerss, answers_ok = getQA(level)
    answers_given                   = presentQuestions(questions, answerss)
    score                           = evaluate(answers_given, answers_ok)
    presentScore(score)


main()
    
# ======================== end ===========================
